## MmGdbusOrgFreedesktopModemManager1

MmGdbusOrgFreedesktopModemManager1 — Generated C code for the org.freedesktop.ModemManager1 D-Bus interface

## Functions

gchar * | mm_gdbus_org_freedesktop_modem_manager1_dup_version ()
const gchar * | mm_gdbus_org_freedesktop_modem_manager1_get_version ()
void | mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync ()
void | mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_finish ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_sync ()
void | mm_gdbus_org_freedesktop_modem_manager1_call_set_logging ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync ()
void | mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_finish ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_sync ()

## Properties

char * | version | Read / Write

## Signals

gboolean | handle-inhibit-device | Run Last
gboolean | handle-report-kernel-event | Run Last
gboolean | handle-scan-devices | Run Last
gboolean | handle-set-logging | Run Last

## Types and Values

| MmGdbusOrgFreedesktopModemManager1
struct | MmGdbusOrgFreedesktopModemManager1Iface

## Object Hierarchy

        GInterface
        ╰── MmGdbusOrgFreedesktopModemManager1

## Prerequisites

MmGdbusOrgFreedesktopModemManager1 requires GObject.

## Known Implementations

MmGdbusOrgFreedesktopModemManager1 is implemented by MmGdbusOrgFreedesktopModemManager1Proxy and MmGdbusOrgFreedesktopModemManager1Skeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1 D-Bus interface in C.

## Functions

### mm_gdbus_org_freedesktop_modem_manager1_dup_version ()

    gchar *
    mm_gdbus_org_freedesktop_modem_manager1_dup_version
                                   (MmGdbusOrgFreedesktopModemManager1 *object);

Gets a copy of the "Version" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_org_freedesktop_modem_manager1_get_version ()

    const gchar *
    mm_gdbus_org_freedesktop_modem_manager1_get_version
                                   (MmGdbusOrgFreedesktopModemManager1 *object);

Gets the value of the "Version" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_org_freedesktop_modem_manager1_dup_version()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ScanDevices()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices()`.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ScanDevices()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    const gchar *arg_uid,
                                    gboolean arg_inhibit,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `InhibitDevice()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_uid | Argument to pass with the method invocation. |
arg_inhibit | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_finish ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_finish
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device()`.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_sync ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device_sync
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    const gchar *arg_uid,
                                    gboolean arg_inhibit,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `InhibitDevice()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_call_inhibit_device()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_uid | Argument to pass with the method invocation. |
arg_inhibit | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_set_logging ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_call_set_logging
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    const gchar *arg_level,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetLogging()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_level | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging()`.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    const gchar *arg_level,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetLogging()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_level | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ReportKernelEvent()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_finish ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_finish
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event()`.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_sync ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event_sync
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ReportKernelEvent()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_call_report_kernel_event()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusOrgFreedesktopModemManager1

    typedef struct _MmGdbusOrgFreedesktopModemManager1 MmGdbusOrgFreedesktopModemManager1;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.

### struct MmGdbusOrgFreedesktopModemManager1Iface

    struct MmGdbusOrgFreedesktopModemManager1Iface {
      GTypeInterface parent_iface;

      gboolean (*handle_inhibit_device) (
        MmGdbusOrgFreedesktopModemManager1 *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_uid,
        gboolean arg_inhibit);

      gboolean (*handle_report_kernel_event) (
        MmGdbusOrgFreedesktopModemManager1 *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_properties);

      gboolean (*handle_scan_devices) (
        MmGdbusOrgFreedesktopModemManager1 *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_set_logging) (
        MmGdbusOrgFreedesktopModemManager1 *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_level);

      const gchar * (*get_version) (MmGdbusOrgFreedesktopModemManager1 *object);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_inhibit_device` () | Handler for the “handle-inhibit-device” signal. |
`handle_report_kernel_event` () | Handler for the “handle-report-kernel-event” signal. |
`handle_scan_devices` () | Handler for the “handle-scan-devices” signal. |
`handle_set_logging` () | Handler for the “handle-set-logging” signal. |
`get_version` () | Getter for the “version” property. |

## Property Details

### The `“version”` property

      “version”                  char *

Represents the D-Bus property "Version".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusOrgFreedesktopModemManager1

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“handle-inhibit-device”` signal

    gboolean
    user_function (MmGdbusOrgFreedesktopModemManager1 *object,
                   GDBusMethodInvocation              *invocation,
                   char                               *arg_uid,
                   gboolean                            arg_inhibit,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `InhibitDevice()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_org_freedesktop_modem_manager1_complete_inhibit_device()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |
invocation | A GDBusMethodInvocation. |
arg_uid | Argument passed by remote caller. |
arg_inhibit | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-report-kernel-event”` signal

    gboolean
    user_function (MmGdbusOrgFreedesktopModemManager1 *object,
                   GDBusMethodInvocation              *invocation,
                   GVariant                           *arg_properties,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `ReportKernelEvent()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_org_freedesktop_modem_manager1_complete_report_kernel_event()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |
invocation | A GDBusMethodInvocation. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-scan-devices”` signal

    gboolean
    user_function (MmGdbusOrgFreedesktopModemManager1 *object,
                   GDBusMethodInvocation              *invocation,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `ScanDevices()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_org_freedesktop_modem_manager1_complete_scan_devices()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-logging”` signal

    gboolean
    user_function (MmGdbusOrgFreedesktopModemManager1 *object,
                   GDBusMethodInvocation              *invocation,
                   char                               *arg_level,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `SetLogging()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_org_freedesktop_modem_manager1_complete_set_logging()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |
invocation | A GDBusMethodInvocation. |
arg_level | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last